Name:           dnsviz
Version:        0.8.2
Release:        0.1%{?dist}
Summary:        Tools for analyzing and visualizing DNS and DNSSEC behavior

License:        GPLv2+
URL:            https://github.com/dnsviz/dnsviz
Source0:        https://github.com/dnsviz/dnsviz/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  graphviz
BuildRequires:  make
Requires:       python2-pygraphviz >= 1.1
Requires:       m2crypto >= 0.24.0
Requires:       python2-dns >= 1.11

%description
DNSViz is a tool suite for analysis and visualization of Domain Name System
(DNS) behavior, including its security extensions (DNSSEC).  This tool suite
powers the Web-based analysis available at http://dnsviz.net/

%prep
%autosetup

%build
%py2_build

%install
#XXX Normally the py2_install macro would be used here,
# but dnsviz/config.py is build with the install command,
# so install MUST call the build subcommand, so config.py
# will be proplerly placed.  With py2_install, the
# --skip-build argument is used.
%{__python2} %{py_setup} %{?py_setup_args} install -O1 --root %{buildroot} %{?*}
for lib in $(find %{buildroot}%{python2_sitelib}/%{name} -name '*.py'); do
  sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
    touch -r $lib $lib.new &&
    mv $lib.new $lib
done

#XXX no checks yet
#%check
#%{__python2} setup.py test

%files
%license LICENSE
%doc README.md
%{python2_sitelib}/%{name}
%{python2_sitelib}/%{name}-%{version}-py2.7.egg-info
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_defaultdocdir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-probe.1*
%{_mandir}/man1/%{name}-graph.1*
%{_mandir}/man1/%{name}-grok.1*
%{_mandir}/man1/%{name}-print.1*
%{_mandir}/man1/%{name}-query.1*

%changelog
* Wed Oct 30 2019 J. Randall Owens <jrowens@ghiapet.net> - 0.8.2-0.1
- update to version 0.8.2
- rebuild for Fedora/GhiaPet 31

* Wed Oct  4 2017 J. Randall Owens <jrowens@ghiapet.net> - 0.6.7-0.2
- update to version 0.6.7

* Sat Sep 30 2017 Casey Deccio <casey@deccio.net> - 0.6.6-1
- First packaged
